<?xml version="1.0"?>

<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<!-- set the output properties -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xml:space="preserve">

<!-- set the output properties -->
<xsl:output method="html" encoding="UTF-8"/>

<!-- need ot be loaded before other js files -->
<xsl:template name="javascript_vars">
<script>

<!-- these hold global context -->
var gID='<xsl:value-of select="/calendar/GlobalInfo/@gID"/>';
var gCRC='<xsl:value-of select="/calendar/GlobalInfo/@gCRC"/>';
var gCurView='<xsl:value-of select="/calendar/GlobalInfo/@gCurView"/>';
var gOldView='<xsl:value-of select="/calendar/GlobalInfo/@gOldView"/>';
var gDate='<xsl:value-of select="/calendar/GlobalInfo/@gDate"/>';
var gCommandBaseURL = '<xsl:value-of select="/calendar/@proxyURL"/>' + '<xsl:value-of select="/calendar/@commandBaseURL"/>';

</script>
<!-- now load the strings -->
<xsl:call-template name="javascript_strings"/>
</xsl:template>

<xsl:template name="javascript_strings">
<script>
<!-- these are global translated strings -->
<!-- still to fix? -->

var alert_blank='Un champ obligatoire n\'a pas été renseigné';
var alert_min_year='Vous ne pouvez pas consulter une année antérieure à 1970.';
var alert_max_year='Vous ne pouvez pas consulter une année postérieure à 2036.';
var confirm_event_delete='Souhaitez-vous supprimer cet événement ?';
var confirm_task_delete='Souhaitez-vous supprimer cette tâche ?';
var alert_invalid_date='Date non valide. Veuillez la modifier.';
var jan='Janvier';
var feb='Février';
var mar='Mars';
var apr='Avril';
var may='Mai';
var jun='Juin';
var jul='Juillet';
var aug='Août';
var sep='Septembre';
var oct='Octobre ';
var nov='Novembre';
var dec='Décembre';
var invalid_recurrence_pattern_msg='Schéma de répétition non valide. Sélectionnez un jour de répétition.';

var dateCheckErrorMsg = new Array();
    dateCheckErrorMsg['invalid day'] = 'Indiquez une date valide..'; 
    dateCheckErrorMsg['provide a good day'] = 'Indiquez une date valide pour '; 
    dateCheckErrorMsg['provide good month'] = 'Indiquez un mois entre 1 et 12.'; 
    dateCheckErrorMsg['provide good year'] = 'Indiquez une année valide.\n\nSi vous n\'entrez que deux chiffres, les valeurs inférieures à 37\ndésigneront des années du 21e siècle.\n\nPar exemple : 03 représente l\'année 2003.';
    dateCheckErrorMsg['provide good min year'] = 'Indiquez une année postérieure à 1970..';
    dateCheckErrorMsg['provide good max year'] = 'Indiquez une année antérieure à 2037..';
    dateCheckErrorMsg['provide good hour'] = 'Spécifiez une valeur horaire valide. (1-12) en format 12 heures ou (0-23) en format 24 heures';
    dateCheckErrorMsg['provide good duration hour'] = 'Indiquez une heure dans un format valide (0-23)..';
    dateCheckErrorMsg['provide good minute'] = 'Indiquez une valeur représentant les minutes comprise en 0 et 59.';
    dateCheckErrorMsg['good until day'] = 'Choisissez une date de fin située après la date de début.';
    dateCheckErrorMsg['adjusting to a good day'] = 'La date entrée n\'existe pas.\nConfiguration de l\'agenda en fonction de la date valide la plus proche dans';
    delete_text='Supprimer ?';
</script>
</xsl:template>

<!-- <xsl:template name="javascript_accept_users"> -->
<!-- Now in js_accept_invite.js -->

<!-- <xsl:template name="javascript"> -->
<!-- now in javascript.js -->

<!-- <xsl:template name="javascriptNormalize"> -->
<!-- now in js_normalize.js -->

<!-- <xsl:template name="javascriptEncodeCalAddr"> -->
<!-- now in js_encode_cal_addr.js -->

<!-- <xsl:template name="contextJavascript"> -->
<!-- now in  js_context.js -->

<!-- <xsl:template name="jump_to_javascript"> -->
<!-- now in js_jump_to.js -->

<!-- <xsl:template name="dateChecking"> -->
<!-- now in js_date_checking.js -->
</xsl:stylesheet>
